#include <stdlib.h>
#include <time.h>
#include <stdio.h>
#include <string.h>
#include <assert.h>
#include <libporty/net/network.h>
#include <libporty/net_async/astdio.h>

int main()
{
	P_net_socket in, out;
	char line[16];
	char repl[32];
	int len, n;
	struct P_pollfd fds[1];

	P_net_init();

	if (P_net_async_stdio(&in, &out) != 0) {
		printf("Failed to create async stdio\n");
		return 1;
	}

	fds[0].fd     = in;
	fds[0].events = P_POLLIN;

	for(n = 0; n < 4; n++) {
		P_poll(fds, 1, 400);
		printf("\n*tick*\n");
		if (fds[0].revents & P_POLLIN) {
			len = P_net_read(in, line, sizeof(line)-1);
			if (len > 0) {
				line[len] = '\0';
				sprintf(repl, "READ: '%s'\n", line);
				P_net_write(out, repl, strlen(repl));
			}
		}
	}

	P_net_uninit();
	return 0;
}
